cURL
curl --request GET \
--url https://api.paycashless.com/v1/payouts \
--header 'Request-Signature: <request-signature>' \
--header 'Request-Timestamp: <request-timestamp>'import requests
url = "https://api.paycashless.com/v1/payouts"
headers = {
"Request-Signature": "<request-signature>",
"Request-Timestamp": "<request-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Request-Signature': '<request-signature>',
'Request-Timestamp': '<request-timestamp>'
}
};
fetch('https://api.paycashless.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"cursor": "<string>",
"data": [
{
"id": "<string>",
"reference": "<string>",
"amount": 123,
"currency": "NGN",
"status": "pending",
"destinationAccountNumber": "<string>",
"destinationBankId": "<string>",
"stampDuty": 123,
"fee": 123,
"vat": 123,
"networkSessionId": "<string>",
"requiresConfirmation": true,
"confirmationState": "pending",
"callbackUrl": "<string>",
"receiptEmail": "<string>",
"narration": "<string>",
"metadata": {},
"failureCode": "<string>",
"failureMessage": "<string>",
"initiation": {
"actor": "user",
"ip": "<string>",
"user": {
"email": "<string>"
},
"apiKey": {
"description": "<string>"
}
},
"approval": {
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z"
},
"cancellation": {
"cancelledBy": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z"
},
"liveMode": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Payouts
List all payouts
List all payouts
GET
/
v1
/
payouts
cURL
Headers
SHA-512 HMAC signature of the request payload using the API secret
Minimum string length:
1Example:
"5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d"
UNIX timestamp when the request was created (in seconds)
Pattern:
^\d{10}$Example:
"1712336881"
Query Parameters
The number of payouts to return
Required range:
1 <= x <= 100Example:
10
Available options:
pending, succeeded, failed, reversed, sent, cancelled Minimum UNIX timestamp(in seconds) of when the payout was created (inclusive)
Required range:
x > 0Example:
1712336881
Maximum UNIX timestamp(in seconds) of when the payout was created (inclusive)
Required range:
x > 0Example:
1712336881
Maximum UNIX timestamp(in seconds) of when the payout was created (exclusive)
Required range:
x > 0Example:
1712336881
Minimum UNIX timestamp(in seconds) of when the payout was created (exclusive)
Required range:
x > 0Example:
1712336881